The package rpms/akmods.git has added or updated architecture specific content in its spec file (ExclusiveArch/ExcludeArch or %ifarch/%ifnarch) in commit(s): https://src.fedoraproject.org/cgit/rpms/akmods.git/commit/?id=cb8200fc744b82....
Change: -%ifarch %{ix86}
Thanks.
Full change: ============
commit 1e800cdb198eb2066e49e4549b5e723fc16c9d78 Author: Nicolas Chauvet kwizart@gmail.com Date: Fri Aug 23 17:01:15 2024 +0200
Fix parsing multiple kernel
diff --git a/akmods b/akmods index b8121a6..d99a7d6 100644 --- a/akmods +++ b/akmods @@ -629,7 +629,7 @@ done init
# only check for default_kernel if no value have been parsed -if [ -z ${kernels} ] ; then +if [ -z "${kernels}" ] ; then check_default_kernel fi
commit b009ad9ae8a006c32a12ee8320728ef562452749 Author: Nicolas Chauvet kwizart@gmail.com Date: Fri Aug 23 16:53:29 2024 +0200
Use check_kernel_devel return code as appropriate
diff --git a/akmods b/akmods index 5b6f305..b8121a6 100644 --- a/akmods +++ b/akmods @@ -268,11 +268,18 @@ check_default_kernel() default_kernel="" fi
- check_kernel_devel "${default_kernel}" - - if ! $(echo "${kernels}" | grep -q "${default_kernel}") ; then - kernels="${kernels} ${default_kernel}" + if [[ x${default_kernel} == x"$(uname -r)" ]] ; then + local _kernels="${default_kernel}" + else + local _kernels="${default_kernel} $(uname -r)" fi + + for _kernel in ${_kernels} ; do + if [[ $(check_kernel_devel "${_kernel}" == 0) ]] ; then + kernels="${kernels} ${_kernel}" + fi + done + }
buildinstall_kmod() @@ -541,7 +548,10 @@ while [ "${1}" ] ; do exit 1 fi
- check_kernel_devel "${1}" + if [[ $(check_kernel_devel "${1}" != 0) ]] ; then + echo "ERROR: kernel or kernel-devel required for ${1}" >&2 + exit 1 + fi
# overwrites the default: if [[ ! -n "${kernels}" ]] ; then
commit 7a4e1dc503884004588dd4950abc65530f0fb907 Author: Nicolas Chauvet kwizart@gmail.com Date: Fri Aug 23 16:15:20 2024 +0200
Change check_kernel_devel() to return instead of exit
diff --git a/akmods b/akmods index 941a72d..5b6f305 100644 --- a/akmods +++ b/akmods @@ -236,15 +236,16 @@ check_kernel_devel() [[ ! -r /lib/modules/"${1}"/build/Makefile ]] ; then echo "Could not find files needed to compile modules for ${1}" echo "Are the development files for kernel ${1} or the appropriate kernel-devel package installed?" - exit 1 + return 1 elif [[ -r /usr/src/kernels/"${1}"/Makefile ]] && \ [[ ! -d /lib/modules/"${1}" ]] ; then # this is a red hat / fedora kernel-devel package, but the kernel for it is not installed # kmodtool would add a dep on that kernel when building; thus when we'd try to install the # rpms we'd run into a missing-dep problem. Thus we prevent that case echo "Kernel ${1} not installed" - exit 1 + return 1 fi + return 0 }
check_default_kernel()
commit 00476863849ff48829543342f1320ab3d767fffe Author: Nicolas Chauvet kwizart@gmail.com Date: Fri Aug 23 15:30:17 2024 +0200
akmods --from-init only operates on current kernel
diff --git a/akmods b/akmods index e716f14..941a72d 100644 --- a/akmods +++ b/akmods @@ -577,6 +577,8 @@ while [ "${1}" ] ; do # Clean old logs and rpm files from no more installed kmod # packages. cleanup_cachedir + # akmods --from-init only operates on current kernel + kernels="$(uname -r)" shift ;; --from-posttrans|--from-kernel-posttrans|--from-akmod-posttrans)
commit 8d2ac12ba19b193ca0b77956a3b30d95518a2884 Author: Nicolas Chauvet kwizart@gmail.com Date: Fri Aug 23 15:27:28 2024 +0200
Deprecate akmods-shutdown script
One can still use the akmods-shutdown (non-default) service or run akmods directly
diff --git a/akmods-shutdown b/akmods-shutdown index adcf005..ac97e8f 100644 --- a/akmods-shutdown +++ b/akmods-shutdown @@ -23,9 +23,9 @@ # WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE. #
-echo "Building modules for all installed kernels." -for kernel in /usr/src/kernels/* ; do - kernel=$(basename $kernel) - /usr/sbin/akmods --kernels $kernel -done +echo "This akmods-shutdown script is deprecated and will be removed in the future" +echo "Using akmods instead ..."
+sleep 6 + +/usr/sbin/akmods diff --git a/akmods-shutdown.service b/akmods-shutdown.service index 7fcccc1..10e8782 100644 --- a/akmods-shutdown.service +++ b/akmods-shutdown.service @@ -7,7 +7,7 @@ Conflicts=shutdown.target Type=oneshot RemainAfterExit=yes ExecStart=/bin/true -ExecStop=-/usr/sbin/akmods-shutdown +ExecStop=-/usr/sbin/akmods TimeoutStopSec=5min
[Install]
commit 2beab063b9eddfd18771fe4a933f5626614d8470 Author: Nicolas Chauvet kwizart@gmail.com Date: Fri Aug 23 14:24:11 2024 +0200
Bump to akmods 0.5.10
diff --git a/akmods b/akmods index d83d033..e716f14 100644 --- a/akmods +++ b/akmods @@ -37,7 +37,7 @@
# global vars myprog="akmods" -myver="0.5.9" +myver="0.5.10" kmodlogfile= continue_line="" tmpdir= diff --git a/akmods.spec b/akmods.spec index cd58bcd..9e33133 100644 --- a/akmods.spec +++ b/akmods.spec @@ -1,5 +1,5 @@ Name: akmods -Version: 0.5.9 +Version: 0.5.10 Release: %autorelease Summary: Automatic kmods build and install tool
commit 1b5754dd1a6d66ddcd9849716e2ca4c7682fd622 Author: Nicolas Chauvet kwizart@gmail.com Date: Fri Aug 23 14:21:44 2024 +0200
Only check for default_kernel is no value - rhbz#2293047
diff --git a/akmods b/akmods index 56189e2..d83d033 100644 --- a/akmods +++ b/akmods @@ -185,27 +185,6 @@ init () } fi
- # ensure to build for grub or systemd-boot default kernel - # - # IMPORTANT: "bootctl is-installed" check that systemd-boot is installed only. - # It doesn't check if systemd-boot is the default loader. - # So we assume grubby results if available - if [ ! -h /usr/sbin/grubby ] && command -v grubby >/dev/null 2>&1 ; then - default_kernel=$(grubby --default-kernel | sed -e 's/^.*vmlinuz-//') - elif bootctl is-installed >/dev/null 2>&1 ; then - # Leave jq as optional - isDefault requires systemd 253 - if command -v jq >/dev/null ; then - default_kernel="$(bootctl list --json=short | jq -r '.[] | select(.isDefault).version')" - fi - else # They use neither systemd-boot nor grub2 - echo -n "Unable to figure out the default kernel" >&2 - echo_warning ; echo - default_kernel="" - fi - if ! $(echo "${kernels}" | grep -q "${default_kernel}") ; then - kernels="${kernels} ${default_kernel}" - fi - # needs root permissions if [[ ! -w /var ]] ; then echo -n "Needs to run as root to be able to install rpms." >&2 @@ -250,6 +229,51 @@ init () flock -w 900 99 }
+ +check_kernel_devel() +{ + if [[ ! -r /usr/src/kernels/"${1}"/Makefile ]] && \ + [[ ! -r /lib/modules/"${1}"/build/Makefile ]] ; then + echo "Could not find files needed to compile modules for ${1}" + echo "Are the development files for kernel ${1} or the appropriate kernel-devel package installed?" + exit 1 + elif [[ -r /usr/src/kernels/"${1}"/Makefile ]] && \ + [[ ! -d /lib/modules/"${1}" ]] ; then + # this is a red hat / fedora kernel-devel package, but the kernel for it is not installed + # kmodtool would add a dep on that kernel when building; thus when we'd try to install the + # rpms we'd run into a missing-dep problem. Thus we prevent that case + echo "Kernel ${1} not installed" + exit 1 + fi +} + +check_default_kernel() +{ + # Ensure to build for grub or systemd-boot default kernel + # + # IMPORTANT: "bootctl is-installed" check that systemd-boot is installed only. + # It doesn't check if systemd-boot is the default loader. + # So we assume grubby results if available + if [ ! -h /usr/sbin/grubby ] && command -v grubby >/dev/null 2>&1 ; then + default_kernel=$(grubby --default-kernel | sed -e 's/^.*vmlinuz-//') + elif bootctl is-installed >/dev/null 2>&1 ; then + # Leave jq as optional - isDefault requires systemd 253 + if command -v jq >/dev/null ; then + default_kernel="$(bootctl list --json=short | jq -r '.[] | select(.isDefault).version')" + fi + else # They use neither systemd-boot nor grub2 + echo -n "Unable to figure out the default kernel" >&2 + echo_warning ; echo + default_kernel="" + fi + + check_kernel_devel "${default_kernel}" + + if ! $(echo "${kernels}" | grep -q "${default_kernel}") ; then + kernels="${kernels} ${default_kernel}" + fi +} + buildinstall_kmod() { local this_kernelver=${1} @@ -514,19 +538,10 @@ while [ "${1}" ] ; do if [[ ! -n "${1}" ]] ; then echo "ERROR: Please provide the kernel-version to build for together with --kernel" >&2 exit 1 - elif [[ ! -r /usr/src/kernels/"${1}"/Makefile ]] && \ - [[ ! -r /lib/modules/"${1}"/build/Makefile ]] ; then - echo "Could not find files needed to compile modules for ${1}" - echo "Are the development files for kernel ${1} or the appropriate kernel-devel package installed?" - exit 1 - elif [[ -r /usr/src/kernels/"${1}"/Makefile ]] && \ - [[ ! -d /lib/modules/"${1}" ]] ; then - # this is a red hat / fedora kernel-devel package, but the kernel for it is not installed - # kmodtool would add a dep on that kernel when building; thus when we'd try to install the - # rpms we'd run into a missing-dep problem. Thus we prevent that case - echo "Kernel ${1} not installed" - exit 1 fi + + check_kernel_devel "${1}" + # overwrites the default: if [[ ! -n "${kernels}" ]] ; then kernels="${1}" @@ -600,6 +615,11 @@ done # sanity checks init
+# only check for default_kernel if no value have been parsed +if [ -z ${kernels} ] ; then + check_default_kernel +fi + # go for kernel in ${kernels} ; do check_kmods ${kernel}
commit b7fda608ca2bc83c2695e7cf8c3313f8eb905d7b Author: Nicolas Chauvet kwizart@gmail.com Date: Fri Aug 23 12:34:25 2024 +0200
Revert "Call Init before the argument parser"
This reverts commit e1bb15842510275935af959714be82f1067e761f.
This is because init assumes root permissions before proceeding. Just move the needed functions out
diff --git a/akmods b/akmods index 177c0a2..56189e2 100644 --- a/akmods +++ b/akmods @@ -505,9 +505,6 @@ myprog_help () echo " --akmod <akmod> -- build and install only akmod <akmod>" }
-# Call INIT to INIT the defaults, that are overwritten in the argument parser! -init -
# first parse command line options while [ "${1}" ] ; do @@ -600,6 +597,9 @@ while [ "${1}" ] ; do esac done
+# sanity checks +init + # go for kernel in ${kernels} ; do check_kmods ${kernel}
commit 09953db160434babef64cdc5de642cc236ee6033 Author: Nicolas Chauvet kwizart@gmail.com Date: Fri Aug 23 12:10:00 2024 +0200
Switch to use sdubby alternatives to grubby
diff --git a/akmods.spec b/akmods.spec index c0376a7..cd58bcd 100644 --- a/akmods.spec +++ b/akmods.spec @@ -82,7 +82,7 @@ Requires: pkgconfig(libelf) # We need grubby or systemd-boot to know the default kernel # On EL7 assumes grubby is there by default - rhbz#2124086 %if 0%{?fedora} || 0%{?rhel} > 7 -Requires: (grubby or systemd-boot) +Requires: (grubby or sdubby) %endif
%description
commit cb8200fc744b821310f6c8995b6d9722c7972803 Author: Nicolas Chauvet kwizart@gmail.com Date: Fri Aug 23 12:08:24 2024 +0200
Drop older rhel and use -core
diff --git a/akmods.spec b/akmods.spec index 262da7c..c0376a7 100644 --- a/akmods.spec +++ b/akmods.spec @@ -55,35 +55,18 @@ Requires: gzip make sed tar unzip util-linux rpm-build Requires: (kernel-abi-stablelists if kernel-core) %endif
-%if 0%{?fedora} || 0%{?rhel} > 7 # We use a virtual provide that would match either # kernel-devel or kernel-PAE-devel Requires: kernel-devel-uname-r # kernel-devel-matched enforces the same kernel version as the -devel -%if 0%{?fedora} >= 36 || 0%{?rhel} >= 9 +%if 0%{?fedora} || 0%{?rhel} >= 9 Requires: (kernel-debug-devel-matched if kernel-debug-core) Requires: (kernel-devel-matched if kernel-core) -%ifarch %{arm} -Requires: (kernel-lpae-devel-matched if kernel-lpae-core) -%endif %else -Suggests: (kernel-debug-devel if kernel-debug) -Suggests: (kernel-devel if kernel) -%ifarch %{arm} -Suggests: (kernel-lpae-devel if kernel-lpae) -%endif -%endif -%ifarch %{ix86} -Suggests: (kernel-PAE-devel if kernel-PAE) -Suggests: (kernel-PAEdebug-devel if kernel-PAEdebug) -# Theses are from planetccrma-core or rhel-7-server-rt-rpms -Suggests: (kernel-rtPAE-devel if kernel-rtPAE) +Suggests: (kernel-debug-devel if kernel-debug-core) +Suggests: (kernel-devel if kernel-core) %endif Suggests: (kernel-rt-devel if kernel-rt) -%else -# There is no much variant there, so using a sane default -Requires: kernel-devel -%endif
# we create a special user that used by akmods to build kmod packages Requires(pre): shadow-utils
commit e8b284bcdbfe1a6cd4562da74966de874db43ecf Author: Nicolas Chauvet kwizart@gmail.com Date: Fri Aug 23 12:04:04 2024 +0200
Drop older rhel cases
diff --git a/akmods.spec b/akmods.spec index 3e7035b..262da7c 100644 --- a/akmods.spec +++ b/akmods.spec @@ -52,11 +52,7 @@ Requires: gzip make sed tar unzip util-linux rpm-build
# On EL, kABI list was renamed %if 0%{?rhel} -%if 0%{?rhel} >= 8 -Requires: (kernel-abi-stablelists if kernel) -%else -Requires: kernel-abi-whitelists -%endif +Requires: (kernel-abi-stablelists if kernel-core) %endif
%if 0%{?fedora} || 0%{?rhel} > 7
commit 9bbb95488246e935705ba9573c5f1776045caa4a Author: Jonathan Wakely jwakely@fedoraproject.org Date: Mon Aug 19 12:27:22 2024 +0100
Fix bug URLs in man page
diff --git a/akmods.h2m b/akmods.h2m index 22f3e55..214d28d 100644 --- a/akmods.h2m +++ b/akmods.h2m @@ -1,9 +1,9 @@ [BUGS] -https://bugzilla.rpmfusion.org/buglist.cgi?product=Fedora&component=akmo... +https://bugz.fedoraproject.org/akmods [REPORTING BUGS] Submit a bug against the akmods component at: .br -https://bugzilla.rpmfusion.org/enter_bug.cgi?product=Fedora +https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora [AUTHOR] Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> [MAINTAINER]
arch-excludes@lists.fedoraproject.org